com.fasterxml.jackson.databind

## Class AnnotationIntrospector.ReferenceProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty

Enclosing class:
  AnnotationIntrospector

    public static class AnnotationIntrospector.ReferenceProperty
    extends Object

Value type used with managed and back references; contains type and logic name, used to link related references

### Nested Class Summary

Nested Classes
`static class` `AnnotationIntrospector.ReferenceProperty.Type`

### Constructor Summary

Constructors
Constructor and Description
`ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t, String n)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AnnotationIntrospector.ReferenceProperty` `back(String name)`
`String` `getName()`
`AnnotationIntrospector.ReferenceProperty.Type` `getType()`
`boolean` `isBackReference()`
`boolean` `isManagedReference()`
`static AnnotationIntrospector.ReferenceProperty` `managed(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceProperty

    public ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t,
                             String n)

### Method Detail

#### managed

    public static AnnotationIntrospector.ReferenceProperty managed(String name)

#### back

    public static AnnotationIntrospector.ReferenceProperty back(String name)

#### getType

    public AnnotationIntrospector.ReferenceProperty.Type getType()

#### getName

    public String getName()

#### isManagedReference

    public boolean isManagedReference()

#### isBackReference

    public boolean isBackReference()